This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 74124 - rpm manpage not updated
rpm manpage not updated
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: rpm (Show other bugs)
null
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-16 11:31 EDT by Olivier de Liocourt
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-16 11:31:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier de Liocourt 2002-09-16 11:31:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [fr] (X11; U; Linux 2.4.18-10 i686; Nav)

Description of problem:
since rpmbuild is out of rpm, rpm -bb or -ba doesn't work anymore but is still
in the man page

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.man rpm
2.see the build RPM section
3.rpm -bb -> unknown option
	

Actual Results:  no building with rpm -bb
man page indicates the option

Expected Results:  in the man page, the section should indicate: See rpmbuild
man page

Additional info:
Comment 1 Jeff Johnson 2002-09-17 11:55:27 EDT
You need to read the section that starts

LEGACY ISSUES
   Executing rpmbuild
       The  build  modes of rpm are now resident in the /usr/bin/rpmbuild
 exe-
       cutable. Although legacy compatibility provided  by  the  popt  aliases
       below  has been adequate, the compatibility is not perfect; hence build
       mode compatibility through popt aliases  is  being  removed  from  rpm.
       Install  the rpmbuild package, and see rpmbuild(8) for docu
mentation of
       all the rpm build modes previously documented here in rpm(8
).
Comment 2 Need Real Name 2002-09-17 17:57:50 EDT
Red Hat Linux Public Beta (null).

[23:49][ghouls@WKS:/d/up2date]$ rpm -q rpm                                     
rpm-4.1-1.0                                                                     

Quoting from man rpm:

LEGACY ISSUES                                                                  
   Executing rpmbuild                                                          
       The  build  modes of rpm are now resident in the /usr/bin/rpmbuild exe- 
       cutable. Although legacy compatibility provided  by  the  popt  aliases 
       below  has been adequate, the compatibility is not perfect; hence build 
       mode compatibility through popt aliases  is  being  removed  from  rpm. 
       Install  the rpmbuild package, and see rpmbuild(8) for documentation of 
       all the rpm build modes previously documented here in rpm(8).           
                                                                               
       Add the following lines to /etc/popt if you wish to  continue  invoking 
       rpmbuild from the rpm command line:                                     
                                                                               
       rpm     exec --bp               rpmb -bp       
[...]

The only time -bx options are mentionned in man rpm is in the section above. 

The documentation looks correct to me.

Note You need to log in before you can comment on or make changes to this bug.